(*----------------------------------------------------------------------*)
(*               Turbo_Halt --- Rename Turbo's built-in halt procedure  *)
(*----------------------------------------------------------------------*)

PROCEDURE Turbo_Halt( Ret_Code : INTEGER );

BEGIN (* Turbo_Halt *)

   UnloadAllModules;

   Halt( Ret_Code );

END   (* Turbo_Halt *);

(*----------------------------------------------------------------------*)
(*               Halt --- Stop execution of program.                    *)
(*----------------------------------------------------------------------*)

PROCEDURE Halt( Ret_Code : INTEGER );

(*----------------------------------------------------------------------*)
(*                                                                      *)
(*     Procedure:  Halt                                                 *)
(*                                                                      *)
(*     Purpose:    Stop execution of program                            *)
(*                                                                      *)
(*     Calling Sequence:                                                *)
(*                                                                      *)
(*        Halt( Ret_Code : INTEGER );                                   *)
(*                                                                      *)
(*     Remarks:                                                         *)
(*                                                                      *)
(*        This routine replaces the built-in Turbo routine.             *)
(*                                                                      *)
(*----------------------------------------------------------------------*)

BEGIN (* Halt *)

   Error_Handler( -1, 0 );

END   (* Halt *);